<%@ page import="java.lang.*" %>
<%

String baseurl = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+request.getContextPath()+"/";
String msg   = "";
int    errno = 0;
int    result =-1;
if (request.getParameter("error") != null)
{
	try {
		errno = Integer.parseInt(request.getParameter("error"));
	} catch (Exception e) {
		errno = 3;
	}
}

switch (errno)
{
	
	case 1: msg = "Ongeldige gebruikersnaam of emailadres.";
				break;
	case 2: msg = "Ongeldige gebruikersnaam of emailadres.";
				break;
	case 3: msg = "Er is een fout opgetreden. Probeer het later nog eens.";
				break;
}

if (request.getParameter("result") != null)
{
	try {
		result = Integer.parseInt(request.getParameter("result"));
	} catch (Exception e) {
		result = 3;
	}
	switch (result)
	{
		
		case 0: msg = "Het nieuwe wachtwoord wordt verzonden naaar uw e-mailadres.";
					break;
		case 1: msg = "Ongeldige gebruikersnaam of emailadres.";
					break;
		case 2: msg = "Ongeldige gebruikersnaam of emailadres.";
					break;
		case 3: msg = "Er is een fout opgetreden. Probeer het later nog eens.";
					break;
	}
}

%>
<!DOCTYPE html>
<html>
	<head>
		<title>Wachtwoord aanvragen</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<link href="<%=baseurl%>css/login.css" type="text/css" rel="stylesheet">
		<link rel="shortcut icon" href="favicon.ico" />
	</head>
	<body>
		<div id="wrapper">
			<form name="my" action="../pwdreset" method="post" id="login">
                <div class="modal-header">
	            	<h1>EASE</h1>
	            	<h2>Wachtwoord aanvragen</h2>
	            </div>
                <div class="modal-body">
                 	<% if ((request.getParameter("result") == null) || (request.getParameter("result") != null && !request.getParameter("result").equals("0"))) {%>
                	<p>Voer uw gebruikersnaam &#233;n het bijbehorende e-mail adres in om een nieuw wachtwoord te ontvangen.</p>
                	<%} %>
                	<% if (request.getParameter("result") != null && request.getParameter("result").equals("0") && !msg.equals("")) {%>
	               	 <div class="alert alert-success"><%=msg%></div>
	                <%} %>
	                <% if (request.getParameter("result") != null && !request.getParameter("result").equals("0") && !msg.equals("")) {%>
	               	 <div class="alert alert-error"><%=msg%></div>
	                <%} %>
	                <% if ((request.getParameter("result") == null) || (request.getParameter("result") != null && !request.getParameter("result").equals("0"))) {%>
			            <p>
			                <label for="username">Gebruikersnaam</label>
			                <input type="text" id="username" name="username" class="textfield"/>
			            </p>
			            <p>   
			                <label for="email">E-mailadres</label>
			                <input type="text" id="email" name="email" class="textfield"/>
			            </p>
		                <p>
		               		<input type="submit" name="Submit" value="Aanvragen" class="btn submit">
		                </p>
			        <%}%>
		        </div>
		        <div class="pwreset">
		       		<a href="../index.jsp">Ga terug</a>
	    		</div>
			</form>
			<div id="footer">EASE powered by <a href="http://buildersenperformers.nl/">buildersENperformers.nl</a></div>
		</div>
	</body>
</html>